// Copyright (c) 2015, the package authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// MIT license that can be found in the LICENSE file.

part of money;

const Map<String, Currency> _currencies = const <String, Currency>{
    'AED': const _Currency('AED', 'UAE Dirham', 784, 2, 100),
    'AFN': const _Currency('AFN', 'Afghani', 971, 2, 100),
    'ALL': const _Currency('ALL', 'Lek', 8, 2, 100),
    'AMD': const _Currency('AMD', 'Armenian Dram', 51, 2, 100),
    'ANG': const _Currency('ANG', 'Netherlands Antillean Guilder', 532, 2, 100),
    'AOA': const _Currency('AOA', 'Kwanza', 973, 2, 100),
    'ARS': const _Currency('ARS', 'Argentine Peso', 32, 2, 100),
    'AUD': const _Currency('AUD', 'Australian Dollar', 36, 2, 100),
    'AWG': const _Currency('AWG', 'Aruban Florin', 533, 2, 100),
    'AZN': const _Currency('AZN', 'Azerbaijanian Manat', 944, 2, 100),
    'BAM': const _Currency('BAM', 'Convertible Mark', 977, 2, 100),
    'BBD': const _Currency('BBD', 'Barbados Dollar', 52, 2, 100),
    'BDT': const _Currency('BDT', 'Taka', 50, 2, 100),
    'BGN': const _Currency('BGN', 'Bulgarian Lev', 975, 2, 100),
    'BHD': const _Currency('BHD', 'Bahraini Dinar', 48, 3, 1000),
    'BIF': const _Currency('BIF', 'Burundi Franc', 108, 0, 100),
    'BMD': const _Currency('BMD', 'Bermudian Dollar', 60, 2, 100),
    'BND': const _Currency('BND', 'Brunei Dollar', 96, 2, 100),
    'BOB': const _Currency('BOB', 'Boliviano', 68, 2, 100),
    'BOV': const _Currency('BOV', 'Mvdol', 984, 2, 100),
    'BRL': const _Currency('BRL', 'Brazilian Real', 986, 2, 100),
    'BSD': const _Currency('BSD', 'Bahamian Dollar', 44, 2, 100),
    'BTN': const _Currency('BTN', 'Ngultrum', 64, 2, 100),
    'BWP': const _Currency('BWP', 'Pula', 72, 2, 100),
    'BYR': const _Currency('BYR', 'Belarussian Ruble', 974, 0, 100),
    'BZD': const _Currency('BZD', 'Belize Dollar', 84, 2, 100),
    'CAD': const _Currency('CAD', 'Canadian Dollar', 124, 2, 100),
    'CDF': const _Currency('CDF', 'Congolese Franc', 976, 2, 100),
    'CHE': const _Currency('CHE', 'WIR Euro', 947, 2, 100),
    'CHF': const _Currency('CHF', 'Swiss Franc', 756, 2, 100),
    'CHW': const _Currency('CHW', 'WIR Franc', 948, 2, 100),
    'CLF': const _Currency('CLF', 'Unidades de fomento', 990, 0, 100),
    'CLP': const _Currency('CLP', 'Chilean Peso', 152, 0, 100),
    'CNY': const _Currency('CNY', 'Yuan Renminbi', 156, 2, 100),
    'COP': const _Currency('COP', 'Colombian Peso', 170, 2, 100),
    'COU': const _Currency('COU', 'Unidad de Valor Real', 970, 2, 100),
    'CRC': const _Currency('CRC', 'Costa Rican Colon', 188, 2, 100),
    'CUC': const _Currency('CUC', 'Peso Convertible', 931, 2, 100),
    'CUP': const _Currency('CUP', 'Cuban Peso', 192, 2, 100),
    'CVE': const _Currency('CVE', 'Cape Verde Escudo', 132, 2, 100),
    'CZK': const _Currency('CZK', 'Czech Koruna', 203, 2, 100),
    'DJF': const _Currency('DJF', 'Djibouti Franc', 262, 0, 100),
    'DKK': const _Currency('DKK', 'Danish Krone', 208, 2, 100),
    'DOP': const _Currency('DOP', 'Dominican Peso', 214, 2, 100),
    'DZD': const _Currency('DZD', 'Algerian Dinar', 12, 2, 100),
    'EGP': const _Currency('EGP', 'Egyptian Pound', 818, 2, 100),
    'ERN': const _Currency('ERN', 'Nakfa', 232, 2, 100),
    'ETB': const _Currency('ETB', 'Ethiopian Birr', 230, 2, 100),
    'EUR': const _Currency('EUR', 'Euro', 978, 2, 100),
    'FJD': const _Currency('FJD', 'Fiji Dollar', 242, 2, 100),
    'FKP': const _Currency('FKP', 'Falkland Islands Pound', 238, 2, 100),
    'GBP': const _Currency('GBP', 'Pound Sterling', 826, 2, 100),
    'GEL': const _Currency('GEL', 'Lari', 981, 2, 100),
    'GHS': const _Currency('GHS', 'Ghana Cedi', 936, 2, 100),
    'GIP': const _Currency('GIP', 'Gibraltar Pound', 292, 2, 100),
    'GMD': const _Currency('GMD', 'Dalasi', 270, 2, 100),
    'GNF': const _Currency('GNF', 'Guinea Franc', 324, 0, 100),
    'GTQ': const _Currency('GTQ', 'Quetzal', 320, 2, 100),
    'GYD': const _Currency('GYD', 'Guyana Dollar', 328, 2, 100),
    'HKD': const _Currency('HKD', 'Hong Kong Dollar', 344, 2, 100),
    'HNL': const _Currency('HNL', 'Lempira', 340, 2, 100),
    'HRK': const _Currency('HRK', 'Croatian Kuna', 191, 2, 100),
    'HTG': const _Currency('HTG', 'Gourde', 332, 2, 100),
    'HUF': const _Currency('HUF', 'Forint', 348, 2, 100),
    'IDR': const _Currency('IDR', 'Rupiah', 360, 2, 100),
    'ILS': const _Currency('ILS', 'New Israeli Sheqel', 376, 2, 100),
    'INR': const _Currency('INR', 'Indian Rupee', 356, 2, 100),
    'IQD': const _Currency('IQD', 'Iraqi Dinar', 368, 3, 1000),
    'IRR': const _Currency('IRR', 'Iranian Rial', 364, 2, 100),
    'ISK': const _Currency('ISK', 'Iceland Krona', 352, 0, 100),
    'JMD': const _Currency('JMD', 'Jamaican Dollar', 388, 2, 100),
    'JOD': const _Currency('JOD', 'Jordanian Dinar', 400, 3, 100),
    'JPY': const _Currency('JPY', 'Yen', 392, 0, 1),
    'KES': const _Currency('KES', 'Kenyan Shilling', 404, 2, 100),
    'KGS': const _Currency('KGS', 'Som', 417, 2, 100),
    'KHR': const _Currency('KHR', 'Riel', 116, 2, 100),
    'KMF': const _Currency('KMF', 'Comoro Franc', 174, 0, 100),
    'KPW': const _Currency('KPW', 'North Korean Won', 408, 2, 100),
    'KRW': const _Currency('KRW', 'Won', 410, 0, 100),
    'KWD': const _Currency('KWD', 'Kuwaiti Dinar', 414, 3, 1000),
    'KYD': const _Currency('KYD', 'Cayman Islands Dollar', 136, 2, 100),
    'KZT': const _Currency('KZT', 'Tenge', 398, 2, 100),
    'LAK': const _Currency('LAK', 'Kip', 418, 2, 100),
    'LBP': const _Currency('LBP', 'Lebanese Pound', 422, 2, 100),
    'LKR': const _Currency('LKR', 'Sri Lanka Rupee', 144, 2, 100),
    'LRD': const _Currency('LRD', 'Liberian Dollar', 430, 2, 100),
    'LSL': const _Currency('LSL', 'Loti', 426, 2, 100),
    'LTL': const _Currency('LTL', 'Lithuanian Litas', 440, 2, 100),
    'LVL': const _Currency('LVL', 'Latvian Lats', 428, 2, 100),
    'LYD': const _Currency('LYD', 'Libyan Dinar', 434, 3, 1000),
    'MAD': const _Currency('MAD', 'Moroccan Dirham', 504, 2, 100),
    'MDL': const _Currency('MDL', 'Moldovan Leu', 498, 2, 100),
    'MGA': const _Currency('MGA', 'Malagasy Ariary', 969, 2, 5),
    'MKD': const _Currency('MKD', 'Denar', 807, 2, 100),
    'MMK': const _Currency('MMK', 'Kyat', 104, 2, 100),
    'MNT': const _Currency('MNT', 'Tugrik', 496, 2, 100),
    'MOP': const _Currency('MOP', 'Pataca', 446, 2, 100),
    'MRO': const _Currency('MRO', 'Ouguiya', 478, 2, 5),
    'MUR': const _Currency('MUR', 'Mauritius Rupee', 480, 2, 100),
    'MVR': const _Currency('MVR', 'Rufiyaa', 462, 2, 100),
    'MWK': const _Currency('MWK', 'Kwacha', 454, 2, 100),
    'MXN': const _Currency('MXN', 'Mexican Peso', 484, 2, 100),
    'MXV': const _Currency('MXV', 'Mexican Unidad de Inversion (UDI)', 979, 2, 100),
    'MYR': const _Currency('MYR', 'Malaysian Ringgit', 458, 2, 100),
    'MZN': const _Currency('MZN', 'Mozambique Metical', 943, 2, 100),
    'NAD': const _Currency('NAD', 'Namibia Dollar', 516, 2, 100),
    'NGN': const _Currency('NGN', 'Naira', 566, 2, 100),
    'NIO': const _Currency('NIO', 'Cordoba Oro', 558, 2, 100),
    'NOK': const _Currency('NOK', 'Norwegian Krone', 578, 2, 100),
    'NPR': const _Currency('NPR', 'Nepalese Rupee', 524, 2, 100),
    'NZD': const _Currency('NZD', 'New Zealand Dollar', 554, 2, 100),
    'OMR': const _Currency('OMR', 'Rial Omani', 512, 3, 1000),
    'PAB': const _Currency('PAB', 'Balboa', 590, 2, 100),
    'PEN': const _Currency('PEN', 'Nuevo Sol', 604, 2, 100),
    'PGK': const _Currency('PGK', 'Kina', 598, 2, 100),
    'PHP': const _Currency('PHP', 'Philippine Peso', 608, 2, 100),
    'PKR': const _Currency('PKR', 'Pakistan Rupee', 586, 2, 100),
    'PLN': const _Currency('PLN', 'Zloty', 985, 2, 100),
    'PYG': const _Currency('PYG', 'Guarani', 600, 0, 100),
    'QAR': const _Currency('QAR', 'Qatari Rial', 634, 2, 100),
    'RON': const _Currency('RON', 'New Romanian Leu', 946, 2, 100),
    'RSD': const _Currency('RSD', 'Serbian Dinar', 941, 2, 100),
    'RUB': const _Currency('RUB', 'Russian Ruble', 643, 2, 100),
    'RWF': const _Currency('RWF', 'Rwanda Franc', 646, 0, 100),
    'SAR': const _Currency('SAR', 'Saudi Riyal', 682, 2, 100),
    'SBD': const _Currency('SBD', 'Solomon Islands Dollar', 90, 2, 100),
    'SCR': const _Currency('SCR', 'Seychelles Rupee', 690, 2, 100),
    'SDG': const _Currency('SDG', 'Sudanese Pound', 938, 2, 100),
    'SEK': const _Currency('SEK', 'Swedish Krona', 752, 2, 100),
    'SGD': const _Currency('SGD', 'Singapore Dollar', 702, 2, 100),
    'SHP': const _Currency('SHP', 'Saint Helena Pound', 654, 2, 100),
    'SLL': const _Currency('SLL', 'Leone', 694, 2, 100),
    'SOS': const _Currency('SOS', 'Somali Shilling', 706, 2, 100),
    'SRD': const _Currency('SRD', 'Surinam Dollar', 968, 2, 100),
    'SSP': const _Currency('SSP', 'South Sudanese Pound', 728, 2, 100),
    'STD': const _Currency('STD', 'Dobra', 678, 2, 100),
    'SVC': const _Currency('SVC', 'El Salvador Colon', 222, 2, 100),
    'SYP': const _Currency('SYP', 'Syrian Pound', 760, 2, 100),
    'SZL': const _Currency('SZL', 'Lilangeni', 748, 2, 100),
    'THB': const _Currency('THB', 'Baht', 764, 2, 100),
    'TJS': const _Currency('TJS', 'Somoni', 972, 2, 100),
    'TMT': const _Currency('TMT', 'Turkmenistan New Manat', 934, 2, 100),
    'TND': const _Currency('TND', 'Tunisian Dinar', 788, 3, 1000),
    'TOP': const _Currency('TOP', 'Pa’anga', 776, 2, 100),
    'TRY': const _Currency('TRY', 'Turkish Lira', 949, 2, 100),
    'TTD': const _Currency('TTD', 'Trinidad and Tobago Dollar', 780, 2, 100),
    'TWD': const _Currency('TWD', 'New Taiwan Dollar', 901, 2, 100),
    'TZS': const _Currency('TZS', 'Tanzanian Shilling', 834, 2, 100),
    'UAH': const _Currency('UAH', 'Hryvnia', 980, 2, 100),
    'UGX': const _Currency('UGX', 'Uganda Shilling', 800, 0, 100),
    'USD': const _Currency('USD', 'US Dollar', 840, 2, 100),
    'USN': const _Currency('USN', 'US Dollar (Next day)', 997, 2, 100),
    'USS': const _Currency('USS', 'US Dollar (Same day)', 998, 2, 100),
    'UYI': const _Currency('UYI', 'Uruguay Peso en Unidades Indexadas (URUIURUI)', 940, 0, 100),
    'UYU': const _Currency('UYU', 'Peso Uruguayo', 858, 2, 100),
    'UZS': const _Currency('UZS', 'Uzbekistan Sum', 860, 2, 100),
    'VEF': const _Currency('VEF', 'Bolivar', 937, 2, 100),
    'VND': const _Currency('VND', 'Dong', 704, 0, 10),
    'VUV': const _Currency('VUV', 'Vatu', 548, 0, 1),
    'WST': const _Currency('WST', 'Tala', 882, 2, 100),
    'XAF': const _Currency('XAF', 'CFA Franc BEAC', 950, 0, 100),
    'XAG': const _Currency('XAG', 'Silver', 961, 0, 100),
    'XAU': const _Currency('XAU', 'Gold', 959, 0, 100),
    'XBA': const _Currency('XBA', 'Bond Markets Unit European Composite Unit (EURCO)', 955, 0, 100),
    'XBB': const _Currency('XBB', 'Bond Markets Unit European Monetary Unit (E.M.U.-6)', 956, 0, 100),
    'XBC': const _Currency('XBC', 'Bond Markets Unit European Unit of Account 9 (E.U.A.-9)', 957, 0, 100),
    'XBD': const _Currency('XBD', 'Bond Markets Unit European Unit of Account 17 (E.U.A.-17)', 958, 0, 100),
    'XCD': const _Currency('XCD', 'East Caribbean Dollar', 951, 2, 100),
    'XDR': const _Currency('XDR', 'SDR (Special Drawing Right)', 960, 0, 100),
    'XFU': const _Currency('XFU', 'UIC-Franc', 958, 0, 100),
    'XOF': const _Currency('XOF', 'CFA Franc BCEAO', 952, 0, 100),
    'XPD': const _Currency('XPD', 'Palladium', 964, 0, 100),
    'XPF': const _Currency('XPF', 'CFP Franc', 953, 0, 100),
    'XPT': const _Currency('XPT', 'Platinum', 962, 0, 100),
    'XSU': const _Currency('XSU', 'Sucre', 994, 0, 100),
    'XTS': const _Currency('XTS', 'Codes specifically reserved for testing purposes', 963, 0, 100),
    'XUA': const _Currency('XUA', 'ADB Unit of Account', 965, 0, 100),
    'XXX': const _Currency('XXX', 'The codes assigned for transactions where no currency is involved', 999, 0, 100),
    'YER': const _Currency('YER', 'Yemeni Rial', 886, 2, 100),
    'ZAR': const _Currency('ZAR', 'Rand', 710, 2, 100),
    'ZMW': const _Currency('ZMW', 'Zambian Kwacha', 967, 2, 100),
    'ZWL': const _Currency('ZWL', 'Zimbabwe Dollar', 932, 2, 100),
};